# ApiJournalNodeArguments Data Model

Arguments used as part of ApiEnableNnHaArguments to specify JournalNodes.

Properties
name | data type | description
--- | --- | ---
jnName | string | Name of new JournalNode to be created. (Optional)
jnHostId | string | ID of the host where the new JournalNode will be created.
jnEditsDir | string | Path to the JournalNode edits directory. Need not be specified if it is already set at RoleConfigGroup level.

Example

    {
      "jnName" : "...",
      "jnHostId" : "...",
      "jnEditsDir" : "..."
    }